// ----------------------------------------------------------------------------
//
// rt_lib.h
// RT++ library functions
//
// $Id: rt_lib.h,v 1.6 1996/03/06 18:09:49 ws Exp $
// (C) 1996 Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
//
// ----------------------------------------------------------------------------
#ifndef RT_LIB_H
#define RT_LIB_H
 
void rt_bind(void);          // bind thread to current processor
void rt_bind(int n);         // bind thread to processor <n>
void rt_unbind(void);        // solve processor binding
void rt_yield(void);         // deschedule thread

void rt_lock(void);          // lock processor (prevent preemption)
void rt_unlock(void);        // unlock processor

void rt_gc(void);            // trigger garbage collection
int  rt_clock(void);         // return time in ms
void rt_arg(RT_Argument *a); // set <a> to program argument
int  rt_proc(void);          // return the number of processors

#endif
// ----------------------------------------------------------------------------
// end of rt_lib.h
// ----------------------------------------------------------------------------
// Local Variables: ***
// mode: C++ ***
// End: ***
