// ----------------------------------------------------------------------------
//
// init.cc
// initialize RT++ argument from command line
//
// $Id: init.cc,v 1.1 1996/03/20 08:56:41 ws Exp $
// (C) 1996 Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
//
// ----------------------------------------------------------------------------

#include <rt++.h>

void init(RT_Argument *rt_arg, int argc, char *argv[]) 
{
  if (argc != 7) 
    {
      cout << "invalid number of arguments";
      exit(-1);
    }
  rt_arg->proc = atoi(argv[1]);
  rt_arg->memory = atoi(argv[2]);
  rt_arg->heap = atoi(argv[3]);
  rt_arg->blocks = atoi(argv[4]);
  rt_arg->stack = atoi(argv[5]);
  rt_arg->verbose = atoi(argv[6]);
}

// ----------------------------------------------------------------------------
// end of init.cc
// ----------------------------------------------------------------------------
// Local Variables: ***
// mode: C++ ***
// End: ***
